Pro v2.3.1支持引导程序选项卡和安全修复程序

由于Maps Marker Pro在您的服务器上运行,因此交付安全的产品对我们非常重要。

24小时前,我们与 Akamai的 他对Maps Marker Pro进行了深入的安全检查,发现了3个潜在的XSS漏洞。 尽管据报道可利用性很低,但我们立即开始着手开发此版本,并修复了这些问题。 非常感谢Akamai的Chad负责任的披露!

强烈建议(尤其是在这种情况下)更新到最新版本。


让我们知道您对以下新版本的看法 提交评论 或在下面发表评论!

如果您想了解最新的Maps Marker开发,请关注@MapsMarker 在Twitter(=最新更新),在 FacebookGoogle+的 或通过订阅新闻 RSS 或者通过 RSS /电子邮件.

我们也想邀请您加入我们 联盟计划 提供高达50%的佣金。 如果您有兴趣成为经销商,请访问 https://www.mapsmarker.com/reseller


现在让我们来看看pro v2.3.1的其他亮点:

添加对在引导选项卡中显示地图的支持

现在,加载到引导程序选项卡(以及从v1.1.2开始已受支持的jQuery UI选项卡)中的地图现在也可以正确显示。

其他更改和优化

  • 优化的安装和更新例程脚本(需要较少的数据库查询)

Bug修复

  • 3个潜在的XSS漏洞被发现 Akamai的 –非常感谢您负责任的披露!

翻译更新

感谢许多积极的贡献者,此版本包括以下翻译的更新:

  • 挪威语(Bokmål)的翻译感谢Inge Tang,http://drommemila.no
  • 感谢Ekaterina Golubina的俄语翻译(由社会技术Teplitsa支持– http://te-st.ru)和维亚切斯拉夫·斯特雷纳德科(Vyacheslav Strenadko),http://poi-gorod.ru

如果您想为翻译做出贡献(不胜感激新的印地语翻译!),请访问 https://translate.mapsmarker.com/projects/lmm 了解更多信息。

请注意,翻译人员的贡献也得到补偿-例如,如果翻译完成量不足50%,翻译人员将获得25份免费的许可证包,价值149欧元,以补偿完成100%的翻译。

已知的问题

不幸的是,当前存在一个无法在Maps Marker Pro中直接解决的问题:

随着WordPress 4.2,增加了表情符号支持。 不幸的是,有一个开放的错误(详情),可能会导致地图冻结或Internet Explorer崩溃–因此WordPress 4.2、4.2.1和4.2.2受到影响。 根据相关的追踪票证,修复程序已经可用,并有望很快与WordPress 4.2.3一起部署。

在WordPress 4.2.3可用之前,作为解决方法,您只能 禁用表情符号 目前,地图也可以在Internet Explorer中正常工作。

对于这个问题,我们感到非常抱歉,但是这超出了我们的影响力-我们已经与WordPress的男女联系,并希望Emoji / SVG错误的修复程序能够尽快提供。

Outlook –下一个版本的计划

请理解,我们无法保证任何新功能的发布日期。 的 路线图 对于主要的新功能,您可以了解Maps Marker Pro的发展方向-无论如何,我们只想保持灵活性,即可添加优化和错误修正,而这些修正和计划外的次要发行主要来自用户反馈。

请订阅此博客(通过 RSS or 电子邮件)或关注@MapsMarker 如果您想了解最新的开发新闻,请访问Twitter(=最新更新)。

完整的变更日志

添加对在引导选项卡中显示地图的支持
优化的安装和更新例程脚本(需要较少的数据库查询)
3个潜在的XSS漏洞被发现 Akamai的 –非常感谢您负责任的披露!
翻译更新
如果您想帮助翻译,请访问 基于网络的翻译平台
感谢Inge Tang(http://drommemila.no)更新了挪威语(Bokmål)的翻译
感谢叶卡捷琳娜·古鲁比娜(Ekaterina Golubina)更新的俄语翻译(由社会技术的Teplitsa支持– http://te-st.ru)和维亚切斯拉夫·斯特雷纳德科(Vyacheslav Strenadko),http://poi-gorod.ru
已知的问题
由于表情符号冲突,Internet Explorer可能会在WordPress 4.2至4.2.2上崩溃(详情)–计划用WordPress 4.2.3修复,解决方法直到WordPress 4.2.3可用: 禁用表情符号

显示以前的变更日志

如何下载/更新

最简单的更新方法是使用WordPress更新过程:以具有管理员权限的用户身份登录,导航至“仪表盘/更新”,选择要更新的插件,然后按“更新插件”按钮。 专业版插件每12小时检查一次新版本是否可用。 您也可以通过转到插件并单击“ Maps Marker Pro”旁边的链接“手动检查更新”来手动触发更新检查:

手动更新检查

如果您没有看到“检查更新”链接,并且使用的版本低于1.7,请通过从以下位置下载当前软件包来手动更新一次 https://www.mapsmarker.com/download-pro 并通过FTP覆盖服务器上的现有插件文件。 在使用过时的SSL库的几台主机上可能需要这样做,这会阻止Maps Marker Pro建立安全连接以从mapsmarker.com检索更新包。 Pro v1.7包括针对此类服务器的解决方法,并且以下更新应照常运行。 如果您受到影响并需要帮助,请 打开支持票.

如何验证插件包的完整性

SHA-256哈希值:

0a182d9736c28763819daf006cc236408a18482c1653bfc9bc8f9522a249a7ef

单击此处以获取有关如何验证插件包完整性的教程。 (如果未从https://www.mapsmarker.com下载用于新安装的插件程序包,则建议–尽管使用了自动更新过程,也不需要验证)

Beta测试器的其他更新说明

无需对插件更新进行任何其他操作。

意见或其他问题?

如果您正在寻找技术支持 请点击这里,对于其他所有问题,请 使用我们的联系表格 取得联系! 我们期待着您的回音!

您的Maps Marker Pro团队

en English
X